Subject: [hrpc] I-D Action: draft-irtf-hrpc-political-05.txt

From: [email-masked]
Date: Wed, 18 Sep 2019 08:20:54 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Human Rights Protocol Considerations RG of the IRTF.

        Title           : Notes on networking standards and politics
        Author          : Niels ten Oever
	Filename        : draft-irtf-hrpc-political-05.txt
	Pages           : 16
	Date            : 2019-09-18

Abstract:
   The IETF cannot ordain what standards or protocols are to be used on
   networks, but the standards development process in the IETF does have
   an impact on society through its normative standards setting process.
   This document aims to bring about a better understanding on the
   political nature of standards and protocols.  Among other things, the
   IETF's work affects what is perceived as technologically possible and
   useful where networking technologies are being deployed, and its
   standards reflect what is considered by the technical community to be
   feasible and good practice.  Whereas there might not be agreement
   among the Internet protocol community on the specific political
   nature of the technological development process and its outputs, it
   is undisputed that standards and protocols are both products of a
   political process, and they can also be used for political means.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-irtf-hrpc-political/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-irtf-hrpc-political-05
https://datatracker.ietf.org/doc/html/draft-irtf-hrpc-political-05

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-irtf-hrpc-political-05

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Niels ten Oever <[email-masked]>
Date: Wed, 18 Sep 2019 17:27:53 +0200

Dear all,

Thank you all very much for your feedback on this draft. Instead of responding to everyone in-line, I thought I'd try to address the issues that are emerging and converging in a new version. The issues, in my analysis, that people agreed upon that needed more work were:

- Vocabulary entries are needed on protocols and standards;
- The conclusions need to be further qualified;
- The research question needs to be better framed;
- The introduction needs be better readable;
(and several smaller nits).

Other ways of structuring and re-structuring were also offered, but they went in directions that I found hard to reconcile. 

I am curious to hear whether you think these adaptations help address some of your issues. 

Suggestion, comments, discussion, and pull requests are always welcome:

https://github.com/IRTF-HRPC/drafts/blob/master/draft-political.md

Best,

Niels

On 9/18/19 5:20 PM, [email-masked] wrote:
> _______________________________________________
> hrpc mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/hrpc
> 

-- 
Niels ten Oever
Researcher and PhD Candidate
DATACTIVE Research Group
University of Amsterdam

PGP fingerprint	   2458 0B70 5C4A FD8A 9488  
                   643A 0ED8 3F3A 468A C8B3

---

From: Shivan <[email-masked]>
Date: Wed, 18 Sep 2019 17:00:43 -0700

Hi Niels, thanks for the update. I do think the document is important for
the RG.

I agree with Andrew Sullivan's breakdown of the argumentation (in the email
thread for draft-irtf-hrpc-political-04), and think that Gurshabad's
framing would help a lot. Just seeing a discussion about what it means for
a "protocol to be political" would be immediately helpful - is it
just shorthand for saying "process is political && impact is political"?

On Wed, Sep 18, 2019 at 8:28 AM Niels ten Oever <[email-masked]>
wrote:

> Dear all,
>
> Thank you all very much for your feedback on this draft. Instead of
> responding to everyone in-line, I thought I'd try to address the issues
> that are emerging and converging in a new version. The issues, in my
> analysis, that people agreed upon that needed more work were:
>
> Other ways of structuring and re-structuring were also offered, but they
> went in directions that I found hard to reconcile.
>

---

From: Stephen Farrell <[email-masked]>
Date: Thu, 19 Sep 2019 21:46:04 +0100

Hiya,

I had a read of -05. I didn't read (but just skimmed) all
the other comments before doing that so apologies if my
comments repeat (or utterly contradict:-) others that've
been sent to the list already.

Cheers,
S.

General:

- Overall, I don't think this is ready. I do think it could be with
  some more work, maybe another rev or two. Or it might take longer,
  not sure.

- If the authors didn't want to try aim for RG consensus on all of
  the text, then I think that'd make it easier to get an RFC
  published. I'd be ok with that, though I still think it'd need
  another rev or two (but the changes might be easier/less).

- I'd argue to entirely re-do or delete section 5. I see why it's
  included but I think in the end it didn't work out to be useful in
  the same document as section 4.

Detailed comments:

- "undisputed" in the abstract is likely to be disputed:-) By
  readers, I mean. s/undisputed/seems evident to the authors/ or
something might be better.

- intro: the Callon quote could do with a reference so readers can go
  find more context if they want. The first sentence of that quote
could mean lots of different things and I've no idea what exactly was
meant - I'd ditch that sentence or maybe the entire quote.

- intro: "affordances" - I've heard that term a number of times, but
  I don't think I really understand it. Also - how are users
"shaped"? I think you could have said that "people are affected by"
the technology, left it at that and been clearer.  (I see you define
that in section 2, so I do get it now that I've gotten that far.
Still might be better to avoid the forward reference if possible.)

- intro: does the document really "seek to answer" the question or
  rather try to explore the question? The latter seems more
tractable.

- intro: "The design of the Internet through protocols and
  standards..." That seems to ignore the "running code" aspect which
is critical to understanding how the Internet has arisen and evolves.

- The URL for [BramamI] doesn't work for me - my browser times out on
  that. (And why http and not https? :-) As below, it'd be better to
say a bit more about i18n here - it's fairly obvious but no harm
expanding the bullet beyond one word.

- intro: The reference to RFC101 (better that than RFC0101 btw:-) is
  unclear to me. There are many occurrences of the word access in
that RFC so what's meant by the bullet point here? It's not clear to
me.

- intro: same point about rfc49 - that has two mentions of "security"
  neither of which seem that relevant to this draft, so maybe say
what/why that reference is for. (And there may be a better one, if
what you've done is try find the earliest reference, that might not
be the best thing.)

- intro: same points for the other early RFC references and I guess
  [BramanII].

- intro: "This has been clearly shown in the work done by Sandra
  Braman..." - what "this" do you mean has been shown? It's not clear
to this reader.

- section 3: Suggest s/Answering/Exploring/

- section 4: RFC1087 says "The Internet is a national facility..." so
  I wonder if it's really so obvious a basis for the argument here.
The problem is that 1087 kinda says "be ethical or we'll tell the
Feds" and there aren't really equivalent Feds for today's Internet,
so the sentence here could be a bit misleading.  Maybe better to
qualify the reference here with something like "... even if the
Internet in 1989 was largely a US thing, similar problems and
requirements for ethical behaviour ought still apply." Not sure.

- 4.1: I note the references here are from 1991 and 1992 - isn't
  there a more recent expression of this position that could be
quoted? It left me wondering if the referenced authors might have
changed their positions since (I've no idea if they have or not, just
wondering, as my own ideas now are not what they were then:-)

- 4.2: This one is closest to my own position, but I wouldn't go
  along with "requires" which is far too strong - for me it's more
like this position "implies that protocols could be evaluated for..."

- 4.3: Even if the Internet is too complex, that doesn't imply
  anything for any one protocol. The rest of the 4.3 text also seems
unclear to me. I'd say a rewrite of this section would be good.

- 4.4: "The network..." do you mean the Internet or one of the
  networks that make up the Internet here? Or do you mean any network
of networks? I assume you mean any network of networks, like the
Internet but I'm not sure.

- 4.4: This seems to finish early or something. The end of the
  section talks about social and technical but never says political
so I'm unsure what a proponent of this position might believe vs. the
other positions in section 4.

- 4.5 (1): I've no clue what the emotional bias of a medium such as
  audio might be, or am I missing the point?

- 4.5 (2): "speed of their information" is an odd phrase, and I'm not
  sure what's meant.

- 4.5: IMO the raven process was an attempt to be technical and
  apolitical, at least as understood by some participants.  It's
likely incorrect to give the impression that everybody thinks that
the raven process was "largely political." (I do agree that many
people think that.) Similarly, while I agree that what "engendered"
7258 was Snowdonia, I do not agree that 7258 requires any
justification that is non-technical (i.e. IMO 2804 and 7258 and 1984
can all be sufficiently justified on purely technical grounds).
Again, I think the change to make here is to say that someone
espousing the position of 4.5 might agree with the current text, but
that those statements about 2804 and 7258 are not universally
accepted.

- 4.5: Neither 2804 nor 7258 are protocol specifications.  For me
  that significantly weakens the overall argument proposed in 4.5.
Surely soeomne who espouses this position could provide at least one
actual protocol example?  Presumably something that refers to 2804 or
7258 might suffice, but without that, there's a hole in the argument.
(Not that I agree with the argument in 4.5, but I feel better
disagreeing with something that isn't holed beneath the water line:-)

- 4.5: "consumer class" seems wrong to me. I don't believe there's
  what I'd call a "consumer class" for NTP for example. I'm not clear
from the phraseology as to whether the authors are asserting that
espousing 4.5 means agreeing with Winner here or not. In any case, I
think Winner is wrong here, for some protocols.

- section 5: "the different existing positions" - that's a claim that
  secction 4 has the full set. My bet is that I could easily find an
IETFer who espouses none of the above. s/the/some/ is better. Or you
could say those are the postions that were considered in this work.

- section 5: s/were created/are created/ and "formal" isn't quite
  right - TLS1.3 is getting closer to formal since bits of it were
formally verified but it is not formally specified in one well-known
sense of the term. s/formal// would be my suggestion. (I guess you
just mean "written down" by this use of "formal" which seems
unnecessary to me.)

- section 5: "100% royalty-free"? What? I'm misundertanding something
  here. We had years of RSA and ECC being encumbered to the detriment
of the Internet IMO, but 100% seems just wrong or else must be a
badly stated statement of something else?

- 5.1: "enhance competition" may be true sometimes but is a) not
  always true (I'll try assert NTP again as an example) and b) is far
down my list of why to do work in the IETF, but is presented as if we
all think this is the most important thing ever.

- 5.1: the discussion of "de facto" seems broken to me. Consider RFC
  3986 vs. whatwg for a real example that doesn't seem to fit your
description. (And I barf again at the mention of competition law for
such things as URL syntax:-)

- 5.1: mention of ISO, BIS... etc with no references or URLs seems
  wrong. (I've no idea what ABNT is for example, but I guess it's not
what first shows up in my search [1].)

   [1] https://acronyms.thefreedictionary.com/ABNT

- 5.4: Are the authors agreeing with [Nadvi] or not? I think you
  ought be clear. I'm not sure I'd agree that applies to the IETF
though, as IETF participants don't, in general, seem to me to be
well-decscribed as "transnational stakeholders" even though some or
many of them may be. I don't feel like one of those anyway;-)

- 5.4: The big [RogersEden] quote goes against IETF lore. I forget
  where we have that written down in an RFC but I think we do. (Where
"that" is "don't just end up with the union of the input proposals
but instead try find the right outcome" or something like that.

- Section 5 generally: I was left thinking "huh, what was the point
  of that section" when I finished reading that. I think you could
mostly delete the entire section and be ok.

- Section 6: I'd be happier if statements such as your opener did not
  depend on buying books. Haven't Russel or Abate ever written these
arguments down in something openly accessible?  (And BramanII is
still a broken link.) I don't think you've made the case via text or
accessible references that this opening conclusion statement is
correct. (I may agree with it, but I don't think you can justify it
based on this.)

- Section 6: "undisputed" again - I dispute that that's the right
  term.

- Section 6: I do not accept the [Russell] quote as being correct but
  haven't bought his/her book. I don't think you ought present that
quote as being an accepted statement.

- Section 6: I dispute that the implementation of protocols "is"
  political. I wrote some code last night for an I-D. That was not a
politcal act (I assert).

- Section 6: I dispute that "protocols can never be understood"
  without some inherently political framing. (If that's what you
meant.) I can teach kids about TLS and they can understand the
protocol without all the political add-ons. As it happens I do think
they better understand what TLS is and how it's used, if I include
some bits of that, but I don't believe it's needed for them to
understand the protocol itself.

- Section 6: I dunno if I agree about the future research.

---

From: Niels ten Oever <[email-masked]>
Date: Fri, 20 Sep 2019 14:46:18 +0200

Thanks for this detailed review Stephen.

Because there was some quiet on the list (which might indicate some level of agreement (either with -05 and/or Stephen's comments, but I'll leave that to others to decide), I wrote a detailed response underneath and made changes in version -06.

>   some more work, maybe another rev or two. Or it might take longer,

Working on next rev :)

>   another rev or two (but the changes might be easier/less).

I'll leave that decision to the RG chairs. I am happy with either. But I do see this as a product of the discussions in hrpc, so publishing it outside of that would not do justice to the document and the people that contributed to it imho.

>   the same document as section 4.

I removed section 5, but kept two para's and added them to the intro.

> something might be better.

I do think it _is_ undisputed that the standards creation process is political and that they can be used for political means, right? But to make it go down easier:

s/undisputed/generally agreed 

> meant - I'd ditch that sentence or maybe the entire quote.

Callon is one of the parents of Science and Technology Studies, but I do agree that outside of the discipline, this quote might seem open for a lot of different interpretations. I removed it, with pain in my heart, and replaced it with two more specific quotes from the literature on standards.

> "shaped"? I think you could have said that "people are affected by"

Suggestion accepted and changed.

>   rather try to explore the question? The latter seems more

Accepted and changed.

> is critical to understanding how the Internet has arisen and evolves.

It doesn't say 'exclusively through', but I appreciate the point. I changed it into:

The design of the Internet, and its codification through protocols and standards, is a technical issue with great political and economic impacts, as is described in {{RFC0613}} and {{RFC3271}}. 

>   that. 

Fixed BramanI and Braman two, unfortunately Texas A&M does not offer TLS for this URI

(And why http and not https? :-) 

> As below, it'd be better to

Am afraid this would deviate from the main point, since these are just illustrations. Previously the bullets were comma's, but Ted and Paul objected against that because with the references it impacted the readability.

But it indeed seems weird to have one word bullets, so I added one sentence summaries.

> that RFC so what's meant by the bullet point here? It's not clear to

'how people are able to access the network, and who has control {{RFC0101}};'

> what you've done is try find the earliest reference, that might not

Added better reference and added privacy, as well as a description:

* privacy and security {{BramanIII}}; 

>   Braman..." - what "this" do you mean has been shown? It's not clear

Changed into: 

Sandra Braman has foregrounded these political consideration in historical RFC in her extensively analysis of these documents {{BramanII}}.

> - section 3: Suggest s/Answering/Exploring/

Accepted and changed

> requirements for ethical behaviour ought still apply." Not sure.

Hmmm. This sentence does not say that the Internet is still the same, right? Just that is has been extensively discussed in earlier days?

But I've changed the sentence into:

Ethics and the Internet was already a topic of an RFC by the IAB in 1989 {{RFC1087}}, when the Internet was still looking entirely different.

> wondering, as my own ideas now are not what they were then:-)

This is a relatively classical expression of this position, that is why I went with the classical definition of it (and the author expressing it). 

> like this position "implies that protocols could be evaluated for..."

Changed.

>   anything for any one protocol. 

It means that the interrelation between protocols in hard to predict.

The rest of the 4.3 text also seems
> unclear to me. I'd say a rewrite of this section would be good.

Added text and sought to increase readability.

> Internet but I'm not sure.

Fixed that by making it all 'network of networks'

>   audio might be, or am I missing the point?

What is meant here that a newspaper instills a very different perception than radio does. But to decrease misunderstanding I removed the second part of that sentence.

> - 4.5 (2): "speed of their information" is an odd phrase, and I'm not

I think we can safely assume high bandwith and low latency is what is meant here.

> people think that.) 
> Similarly, while I agree that what "engendered"

OK, I propose the following:

The Raven process in which the IETF refused to standardize wiretapping -- which resulted in {{RFC2804}} -- was an instance where an international governance body took a position that was perceived by many as political, although driven by a technical argument. 

> disagreeing with something that isn't holed beneath the water line:-)

Added:

The Raven process in which the IETF refused to standardize wiretapping -- which resulted in {{RFC2804}} -- was an instance where an international governance body took a position that was perceived by many as political, although driven by a technical argument. The process that led to {{RFC7258}} is similar: the Snowden disclosures, which occurred in the political space, engendered the IETF to act. While {{RFC2804}} was a statement about how a protocol for wiretapping would _not_ be developed, {{RFC7258}} was a statement that contributed to the development of protocols such as {{RFC7858}}, {{RFC8226}}, and {{RFC8404}}. The impact of political tensions on protocol development is summarized in {{Abbate}} who says: "protocols are politics by other means," emphasizing the interests that are at play in the process of designing standards.

> think Winner is wrong here, for some protocols.

Removed 'consumer class', to avoid discussions about class, groups, and consumerism. I would offer the following:

Those who had the power to introduce a new technology also had the power to largely frame the uses of the technology "with new practices, relationships, and identities supplanting the old, --- and those who had the wherewithal to implement new technologies often molded society to match the needs of emerging technologies and organizations." {{Winner}}.

> could say those are the postions that were considered in this work.

Removed

> just mean "written down" by this use of "formal" which seems

Removed

> badly stated statement of something else?

Removed

> all think this is the most important thing ever.

Removed

> such things as URL syntax:-)
Removed

>    [1] https://acronyms.thefreedictionary.com/ABNT

Removed

> many of them may be. I don't feel like one of those anyway;-)

I've added that these are not exclusively transnational corporations.

> but instead try find the right outcome" or something like that.

Removed

> mostly delete the entire section and be ok.

Done

> arguments down in something openly accessible?  

Nopes, they did not publish their papers in open access journals. I do have a problem with that, but I am afraid that is beyond my power to fix. 

> (And BramanII is
> still a broken link.) 

Fixed

> I don't think you've made the case via text or

s/undisputed/generally agreed
> quote as being an accepted statement.

Made that more clear.

>   political. I wrote some code last night for an I-D. That was not a

Would adding 'often' help?

While understanding that 'standards emerge from contested contexts, they immediately function as a means of control within the political and economic order' {{Russell}}, protocols and standards as abstract isolated artefacts might not be political, but their design, development, deployment, and implementation often is.

> understand the protocol itself.

I propose:

'Therefore we might need to give a qualified answer to the research question, in the sense that protocols can only be understood in part outside of their actual shaping, use, and applied function, which is political.'

> - Section 6: I dunno if I agree about the future research.

Would you care to elaborate? Happy to sketch other paths forward. 

Thanks again and happy to discuss.

Best,

Niels

PS If other people think their point(s) is a/are showstopper(s) and should be addressed, feel free to re-up your comments or message me off-list so I can address them in a following version.

---

From: Eliot Lear <[email-masked]>
Date: Fri, 20 Sep 2019 17:56:59 +0200

> On 20 Sep 2019, at 14:46, Niels ten Oever <[email-masked]> wrote:
> 
> I do think it _is_ undisputed that the standards creation process is political and that they can be used for political means, right?

On its face I would agree.  But your work would benefit from saying when that would be the case.  Again, the value of the work is exploring the limits of your thesis and its ramifications.

Eliot

---

From: Andrew Sullivan <[email-masked]>
Date: Fri, 20 Sep 2019 14:39:21 -0400

Hi,

Apparently I haven't taken my OCD medications, and therefore I'm
looking at this and responding.  I mostly looked at diffs between -04
and -06.  Still speaking just for me.

> Suggestion, comments, discussion, and pull requests are always welcome:

In §1, I do not find economic impacts described in RFC 613.  I find
RFC 3271 to be a bizarre reference, and very hard to justify given the
way cited here.  I am totally mystified about how RFC 101 illustrates
early community members making political decisions.  I'm having a hard
time hooking up most of these other RFCs with this claim, too, and I
wonder if it isn't the same question-begging I've raised before: just
because a thing has somehow been the implication of a political
process does not actually show that the thing is _itself_ political.
If the entire approach is simply to take BramanII thesis as proven,
then state that and get rid of all the other supposed support here,
which is inadequate to prove the point and is obscure enough that the
reader needs to do the work of chasing the references anyway.

The reliance on the definition of Internet Standards in §2 is going to
yield a rather underwhelming conclusion, since an awful lot of the
Internet runs on stuff that isn't Internet Standard.  This includes
HTTP 1.0, 1.1, and 2, so it's not like it's a little gap.

In §5, the claim of "general agreement" is empirical and has nowhere
been demonstrated that I can see.  And this discussion is _prima
facie_ evidence against the claim.

In §6, again things that are presented as "conclusions" are really
just positions that are not actually argued for in the text.  This
conclusion basically says that if you accept Russell, then the
use-context counts.  But unstated here is the acceptance that Russell
is right and also that therefore the use-context counts.  That's
literally what's at stake in the discussion, and the I-D has not
proven any of this at all.  The entire section continues to beg the
question.  Either make an argument somewhere for this conclusion, or
just take it out.

I'm unlikely to have another train ride soon where I get to look at
this again, so please don't take my future silence as agreement (or
disagreement).  It's just silence.

Best regards,

A

-- 
Andrew Sullivan
[email-masked]

---

From: Eric Rescorla <[email-masked]>
Date: Fri, 20 Sep 2019 18:32:30 -0700

Whereas there might not be agreement among the Internet protocol
   community on the specific political nature of the technological
   development process and its outputs, it is generally agreed that
   standards and protocols are both products of a political process, and
   they can also be used for political means.

I would like to register my agrement with Andrew and focus in on this
one point: there are many protocols (in fact, by count probably most
protocols) which are just designed by proprietary organizations.  It's
not clear on what basis you are claiming that they are the output of
political processes and this certainly doesn't seem like something
that's generally agreed. I certainly agree that they "can be used"
for political means, though any "can" statement is pretty weak.

This is even true at some level for many standards, especially
because your definition of "standard" is so expansive:

   Standards  'A standard is an agreed-upon way of doing something or
      measuring something.'  [Sisson]

By this definition I think it would be pretty hard to argue that
SSLv2,  and SSLv3 weren't standards given their wide use, even
though they were just designed by people at one company. Another
example would be the Philips screwdriver head. What's the political
process that produced these?

More generally, it seems like depending on how one interprets the
major claims in this document, they are either too strong (all
protocol and standards development is political) or trivial (some
protocol and standards development is political). The first is too
strong for the reasons I indicate above, and the second seems pretty
obvious and doesn't really need much theorizing; one needs just point
to the development of some protocol which was a political process, and
it seems like that's been pretty amply documented for a number of
protocols/standards (e.g., HTTP/2 or TLS 1.0).

As I noted above, the claim that protocols can be used for political
means also seems relatively obvious (cf. Tor).

In short, I don't think this document should be published as an RFC
without major revision, which would presumably start with fleshing
out some more interesting claims.

-Ekr

---

From: Niels ten Oever <[email-masked]>
Date: Sat, 21 Sep 2019 15:09:41 +0200

Dear Andrew,

On 9/20/19 8:39 PM, Andrew Sullivan wrote:
> In §1, I do not find economic impacts described in RFC 613. 

Sentence one of RFC613 is:

"Network topology is a complicated political and economic question with
obvious technical overtones"

> I find
> way cited here.  

RFC3271 extensively talk about the interrelation between the Internet and economics and politics. I have a really hard time understanding how you can argue against that.

> I am totally mystified about how RFC 101 illustrates
> early community members making political decisions.  

The involvement of Terry Shepard and the demands the Canadian government made for the Internet infrastructure and architecture is not political?

> I'm having a hard

The claim that things in itself is something is removed from the conclusion.

> HTTP 1.0, 1.1, and 2, so it's not like it's a little gap.

I do not see how this contradicts the definition from RFC2026, but maybe I am missing something?

> facie_ evidence against the claim.

We are seeking what we can agree upon, right? Several times people have now acknowledged that it is obvious that protocols are the conclusion of a political process, and political things can be done with them. If we document that agreement, then I think we have achieved the goal of this document.

The fact that it is so hard to agree on this, show the importance of the document, and that shows that the statement is not trivial. 

> question.  Either make an argument somewhere for this conclusion, or

The conclusion emerges from the analysis of the different documented positions. 

Best,

Niels

---

From: Niels ten Oever <[email-masked]>
Date: Sat, 21 Sep 2019 15:09:44 +0200

On 9/21/19 3:32 AM, Eric Rescorla wrote:
> that's generally agreed.

Aren't proprietary standards, and the way they make it possible and impossible to do certain things, a prime example of a political process and political impact? 

> I certainly agree that they "can be used"

If we can document *that*, we would have made a lot of progress in the IETF imho.

> though they were just designed by people at one company. 

I don't see how that definition would make that impossible. 

> Another

The patenting of process by Henry F. Philips, the regimes under which is was patented, its competition with other screw heads (torx, etc). There is an enormous amount of politics, and societal ordering connected with screws.

Maybe this text by Bruno Latour might help further illustrate that:

http://www.bruno-latour.fr/sites/default/files/46-TECHNOLOGY-DURABLE-GBpdf.pdf

> protocol and standards development is political)

Why is that too strong?

> or trivial (some
> strong for the reasons I indicate above,

I don't think so, but I am happy to discuss.

and the second seems pretty
> obvious and doesn't really need much theorizing;

As said, I think it would be very useful if we would document this, so we don't need to repeat the discussion.

> one needs just point

I am happy to conclude that we agree on the two statements:

- some protocol and standards development is political

and

- protocols can be used for political means

That's progress for me in this discussion. Now let's see if we can further flesh out:

- all protocol and standards development is political

Best,

Niels

> On Fri, Sep 20, 2019 at 11:40 AM Andrew Sullivan <[email-masked] <mailto:[email-masked]>> wrote:
> 
>     Hi,
> 
>     [email-masked] <mailto:[email-masked]>
> 
>     [email-masked] <mailto:[email-masked]>

---

From: Eliot Lear <[email-masked]>
Date: Sat, 21 Sep 2019 16:09:49 +0200

Hi again, Niels,

> On 21 Sep 2019, at 15:09, Niels ten Oever <[email-masked]> wrote:
> 

Let’s take a good example of a de facto standard that probably had very little to do with politics: the vt100 terminal.  It was never intended to be a standard.  It was a terminal, and a darned good one[*].  Most terminal emulators emulated the vt100 which is precisely how it became a standard, to the point where it was probably the first really well known example of “bug-for-bug compatibility”.  Was it a proprietary standard?  Digital specified the terminal design.  Was there political impact?  I don’t think so, but it’s hard to say.

The same was largely true for the IOS CLI for a good long while.  Others would emulate it as a good jumping off point.  Political impact?  I wouldn’t think so, but perhaps I lack appropriate imagination in this space.

Right now the NTIA is looking at Software Bill of Materials (SBoM).  One of the challenges they face is uniquely identifying software packages.  This naming requires some sort of source of authority for the names in use.  Anything having to do with naming is bound to have political implications.

Another example of a de facto standard that at best has very minor political implications is the simple key bindings in your mail editor.  There is a good chance that they line up with EMACS, just because that is what a lot of people have gotten used to.  Political impact?  I’d be hard pressed to find one, though maybe someone with a non-latin keyboard would disagree.

Eliot
*(though I was a weirdo and preferred a Data Media 1520 or the later Visual 55).

---

From: Eric Rescorla <[email-masked]>
Date: Sat, 21 Sep 2019 07:13:03 -0700

> Niels ten Oever via ietf.org
>
> 6:10 AM (48 minutes ago)
>
> to hrpc
>
>
> Aren't proprietary standards, and the way they make it possible and
> impossible to do certain things, a prime example of a political
> process and political impact?

Well, I don't think without stretching the term "political" outside
of the point where saying something is political is trivial, no,
I don't think so.

Again, let's take the example of SSL, which was designed by Netscape
for its own market purposes and became a de facto standard because
Netscape had the dominant browser and people wanted to interoperate
with it. What's poltical about that process?

> If we can document *that*, we would have made a lot of progress in

I don't know anyone disagrees with that. But in any case, demonstrating
that doesn't require hauling in the theoretical apparatus you
are trying to deploy here, but rather requires *history*. I.e.,
demonstrate that the process of developing some set of standards
involved the political process of balancing the objectives of
the various stakeholders, finding compromise, etc. Given that
every IETF standards development process I have ever been involved in
has had some of this, that doesn't seem hard. As a non-IETF example
"The Box", a history of the shipping container, has a nice description
of the standardization of that technology.

> I don't see how that definition would make that impossible.

I'm not sure I understand your response here. Are you saying that
protocols defined by one company and that then achieve wide use
are standards, or they are not?

> The patenting of process by Henry F. Philips, the regimes under
> which is was patented, its competition with other screw heads (torx,
> etc). There is an enormous amount of politics, and societal ordering
> connected with screws.

Again, this just seems to serve to make the definition of "political"
meaningless. By this definition, what human commercial activity
would *not* be political, as it all occurs against a political
backdrop.

> > protocol and standards development is political)

For the reasons I indicated above: I don't think the development
of many protocols, especially the small ones which get use internally
as in, for instance, mobile apps, is generally political, And sometimes
becoome standards and that's not necessarily political either.

> As said, I think it would be very useful if we would document this,
> so we don't need to repeat the discussion.

Well, I'm not sure it matters if we repeat this discussion or
even come to a conclusion on it. What's at stake in the answer?

But, again, if you want to demonstrate that standards development
can be political -- which, as I said, is a rather weak claim --
then I would discard this document and instead focus on documenting
the history of the development of some protocols that was clealr
political.

> - protocols can be used for political means

Well, I don't think this document demonstrates that, it's just
conclusory.  To the extent to which we think these statements are
actually in debate and need demonstrating, then I would, as I said,
focus on demonstrating them with reference to actual standards
rather than by referring to other people's views about these
statements. I would think 3-5 of each of these should be sufficient
(though of course logically one alone is sufficient to prove
existence, but several is more convincing)

> - all protocol and standards development is political

I think what would help at this point that would be for you to
describe some commercial activities that you think are *not*
political.

-Ekr

---

From: Stephen Farrell <[email-masked]>
Date: Sat, 21 Sep 2019 15:18:08 +0100

Hiya,

> with it. What's poltical about that process?

To be fair, there was a lot of IETF politics around
Netscape and Microsoft related to that and IIRC TLS
was only called that as part of an explicit compromise.

I think Eliot's examples (and NTP, which I raised)
are maybe better examples of less/apolitical standards
and protocols than SSL/TLS.

S.

---

From: Eric Rescorla <[email-masked]>
Date: Sat, 21 Sep 2019 09:14:31 -0700

> was only called that as part of an explicit compromise.

Yes, that's why I said that *TLS* was the outcome of a political process.
However, SSLv2 was just something Netscape published and SSLv3 was also
prepared internally by Netscape in response to criticisms of SSLv2.

-Ekr

---

From: Melinda Shore <[email-masked]>
Date: Sat, 21 Sep 2019 11:03:21 -0800

> obvious technical overtones"

I don't think that answers Andrew's question.  The economic argument
being advanced in 613 is:

    2.  "Loops" are not good per se, they appear good because the act of
    making loops increases the connectivity and thereby reduces the
    effect of multiple failures.  Adding more circuits costs ARPA money,
    both capital cost for IMP interfaces and recurring cost for the
    circuits.

so there's a cost/benefit question there that's inherently economic.

Anyway, how the IETF usually responds to discussions like this is to
narrow the scope of the document.  From my perspective the value in
the document as it currently stands is primarily in the literature
review, and there's much political in the IETF process (corporate
jockeying, involvement of national governments) that isn't covered
but which would make it incredibly difficult to get through any sort
of consensus process if it were.  I'd also argue that the literature
review avoids, for the most part, problems around perceptions that
opinions are being presented as facts.

So, it seems to me that it might be useful to strip out section 5,
rewrite the research question and conclusion, and to publish this as
a literature review.

Melinda

-- 
Melinda Shore
[email-masked]

Software longa, hardware brevis

---

From: farzaneh badii <[email-masked]>
Date: Sun, 22 Sep 2019 12:23:47 -0400

Hello,

 It is not enough to invoke certain authors' assertions or an RFC and
present them as evidence. The claims and arguments in this document have to
be analyzed in much more depth and every argument needs to be backed up
with evidence.

Additionally, I think the author is asking one question which he does not
sufficiently address and then in its conclusion, he provides a whole
different argument and in my opinion another hypothesis.

He asks: To bring about a better understanding on the political nature of
   standards and protocols, this documents asks the questions: If, and
   if so how, are protocols, standards, and politics interrelated?

He concludes: we might need to give a qualified answer to the research
question, in  the sense that protocols can only be understood in part
outside of
   their actual shaping, use, and applied function, which is political.

This document is simply incomplete and not ready to be even discussed
further. Also I think I have read the literature review part somewhere
else. If that is the case, then we don't have to publish it as a lit rev
either.

Farzaneh

---

From: Paul Wouters <[email-masked]>
Date: Sun, 22 Sep 2019 21:13:42 -0400 (EDT)

On Sun, 22 Sep 2019, farzaneh badii wrote:

> This document is simply incomplete and not ready to be even discussed further.

Documents can always be discussed and that is the way to improve documents.
Documents might not get published by lack of progress or lack of consensus,
but discussion is always valid.

Paul

---

From: Niels ten Oever <[email-masked]>
Date: Mon, 23 Sep 2019 11:31:42 +0200

On 9/21/19 4:13 PM, Eric Rescorla wrote:
>> Niels ten Oever via ietf.org <http://ietf.org>
>>
>> 6:10 AM (48 minutes ago)
>>
>> to hrpc
>>
>>

There are several political aspects about this, we had for instance text in a previous version that read about dominance and de facto standards:

   Within economy studies, _de facto_ standards arise in market
   situations where one entity is particularly dominant; downstream
   competitors are therefore tied to the dominant entity's technological
   solutions [Ahlborn].  Under EU anti-trust law, _de facto_ standards
   have been found to restrict competition for downstream services in PC
   software products [CJEU2007], as well as downstream services
   dependent on health information [CJEU2004].

Another interesting aspect that SSL introduced were of course certificate authorities, that served as trust anchors, which is ultimately defining trusted authorities. 

SSLv2 was introduced as open standard (while v1 was not), which of course was also quite a change, I reckon I don't need to elaborate on the politics of licensing in this audience. 

> I don't know anyone disagrees with that. 

Great. But I meet them at every IETF meeting, and it is brought up very regularly in discussion.

> But in any case, demonstrating

SSLv2 and SSLv3 were standards because people agreed that they were the standard? For something to be a standard it does not need to be a formal process to accept them as such. 

> would *not* be political, as it all occurs against a political

A transaction can be political, but of course does not need to be. (Trans)action, such as standards, that change the market, are political activities. 

> the history of the development of some protocols that was clealr

As you know, what this draft meant to do, is to document a discussion so it doesn't need to be repeated in the study of every different protocol.

We could paste in a lot of examples here, for instance some of the review of the human rights review team. But the discussion in 4.5 might be enough?

> existence, but several is more convincing)

Again, the document seeks to document existing positions in the community and provide background in existing literature on the topic, that could then be a platform for further work. 

For instance on specific drafts, and or specific tendencies (based on case studies, quantitative models, etc).

Best,

Niels

---

From: Niels ten Oever <[email-masked]>
Date: Mon, 23 Sep 2019 11:44:03 +0200

> and protocols than SSL/TLS.

Time, and its standardization, is a very political project. Going back to Aristotle (Physics iv 10-14) there is the difference between Chronos and Kairos, where Chronos became the number to measure motion (kinesis). There have been many other perceptions and measurements of time, that were able to exist next to each other, but as part of the colonial project, the European concept of what time was, was made the universal standard. That is why Greenwich Mean Time (in Great Britain) is used as a standard for the whole world. 

There are also many stories about the development of timezones, and their consequences, the way in which time helped shape labor, life, and how it altered complete societies.

I am not making a value judgment about this re-odering, but I am trying to show that NTP, which helps synchronize to a specific time regime, on which a lot of computing depends, helps promulgate a specific, and political, ordering. 

This book on the topic is quite interesting:
https://www.amazon.com/Colonisation-Time-Studies-Imperialism/dp/0719082714

Best,

Niels

---

From: Ted Lemon <[email-masked]>
Date: Mon, 23 Sep 2019 07:18:36 -0400

> Time, and its standardization, is a very political project. Going back to Aristotle (Physics iv 10-14) there is the difference between Chronos and Kairos, where Chronos became the number to measure…

This might actually be an interesting angle to explore.   I think in one sense you are right about this (and don’t forget the Julian calendar while you’re at it).

But here we are, in this time period that exists long after this political discussion occurred.  Do you think that time is still political in the sense that you are saying now?  Can you talk about what that means?  What the tensions are?  Who benefits from the status quo?  Who might benefit from a change?

I point this out because I think in a sense the Internet is in a time when a lot of things are in flux, and so we can see that there might be political pressures.  And we can posit that there will be some time, perhaps in the far future, when these questions are no longer political, or at least no longer political in the same way.

What is between here and there?  What are the reefs around which we must navigate?   Or is it in fact not the case that we will ever reach that open ocean?

---

From: Eliot Lear <[email-masked]>
Date: Mon, 23 Sep 2019 13:49:40 +0200

Hi!

This is mostly geeky entertainment.

[Ted, I saw your note after putting most of this together.  Time has been explored… ad infinitum :-), but see below for some entertainment.]

> On 23 Sep 2019, at 11:44, Niels ten Oever <[email-masked]> wrote:
> 

But interestingly enough the initial reason for standardization of time in Britain was not political, but a simple matter of practicality; and it wasn’t the government who standardized time per-se, but rather the railways in 1847, in order to manage train schedules, and this was known as Railway Time.  It wasn’t until 1880 that GMT was officially standardized across the island of Great Britain.  GMT was set as an international standard in 1925 as a practical way for astronomers to agree on when the day began.

This gives you some idea as to just how recent in our history there was any sort of standardization of what the time is at any given moment.  However, the much of the actual units of time that we use today date back to at least 1500 BC and the Egyptians.

As Ted points out, NTP and the TZ database are based on the Gregorian calendar scale.  This does indeed prove troublesome for some countries and cultures who are on a lunar calendar.  This was noted in the development of the calendaring standard, where a “calscale” can be specified, but to my knowledge nobody has ever used anything other than Gregorian.*  The folks Calconnect could correct me, tho.

> There are also many stories about the development of timezones, and their consequences, the way in which time helped shape labor, life, and how it altered complete societies.

Time?  Sure, but what part of standardization?  Time zones?  Not as much.

The first official time zone difference was used by New Zealand in 1868 as a convenience to know what time it was in the home office, as it were.  This before there was a legal standard on Great Britain.

And then there are DST transitions.  These were introduced by Germany in 1916.  With Europe about to make a remarkable leap  (so to speak) into the unknown, nobody can possibly say that there isn’t a political influence on time zones.**  The political impact?  People debate them, so I suppose there must be some.

There are some interesting stories.  One involves a contract with a satellite operator with the Holy See in which the contract was written in local time in Brazil.  Apparently they booked the wrong hour, and so a law was passed to change time.  This is actually documented in the TZ file for South America.

> I am not making a value judgment about this re-odering, but I am trying to show that NTP, which helps synchronize to a specific time regime, on which a lot of computing depends, helps promulgate a…

Let us be precise:  NTP requires only two protocol invariants: the length of a second itself and a particular epoch.  The one field that has any real political aspect at this point is the leap second indicator.  There have been some, dare I say, highly entertaining debates in the ITU-R over leap seconds.  Indeed it’s those pesky astronomers who are once again concerned about dinking with leap seconds.[1]  And let’s not even get into whether Pluto is a planet!  Still, the protocol itself is neutral as to how and when the leap second bit is set, or who has the authority to set it.

Eliot

[*]  I gave at tictoc circa 2010 on a Brief History of Time(Zones) that shows Israel spiking; that’s because of a combination of time scale, and issues relating to the High Holidays.  This has mostly been kinked out, but not entirely.  If a transition would occur on Rosh Hashanah, it is moved to the 1st of October.  This cannot be accurately reflected in the TZ database in a programmatic fashion.
[**]. No, this is not an invitation to debate Europe’s decision.  Take it to facebook! ;-)
[***] If you would like references for the above, I highly recommend A Brief History of Time, and Wikipedia now does a very decent job of it.

[1] https://www.abc.net.au/science/articles/2005/09/23/1466849.htm

---

From: Ted Lemon <[email-masked]>
Date: Mon, 23 Sep 2019 07:57:19 -0400

> [Ted, I saw your note after putting most of this together.  Time has been explored… ad infinitum :-), but see below for some entertainment.]

I think it’s not only entertaining but useful.  I see obvious parallels between what happened with standard time and time zones, and what is happening now with Internet protocols.  I think it’s a useful analogy to explore when thinking about how to talk about politics from the perspective of internet protocols, since it gives us a model for how the history might unfold.

---

From: Andrew Sullivan <[email-masked]>
Date: Mon, 23 Sep 2019 07:59:29 -0400

Niels,

This post is a perfect example of one problem that I have been complaining 
about.  If everything that is ever touched upon by any politics is thereby 
itself "political", then your point is true (though, I submit, trivially 
so).  But you haven't actually shown that claim, and any time anyone 
objects to this point you simply trot out some authority to say, "But it is 
so true." But the argument is basically over whether those authors are 
right. So it's either begging the question or fallacious appeal to 
authority or both.

Best regards,

A
--
Andrew Sullivan
Please excuse my clumbsy thums.

On September 23, 2019 05:44:33 Niels ten Oever <[email-masked]> wrote:

> Time, and its standardization, is a very political project. Going back to 
> Aristotle (Physics iv 10-14) there is the difference between Chronos and 
> Kairos, where Chronos became the number to measure motion (kinesis). There 
> have been many other perceptions and measurements of time, that were able 
> to exist next to each other, but as part of the colonial project, the 
> European concept of what time was, was made the universal standard. That is 
> why Greenwich Mean Time (in Great Britain) is used as a standard for the 
> whole world.
>
> There are also many stories about the development of timezones, and their 
> consequences, the way in which time helped shape labor, life, and how it 
> altered complete societies.
>
> I am not making a value judgment about this re-odering, but I am trying to 
> show that NTP, which helps synchronize to a specific time regime, on which 
> a lot of computing depends, helps promulgate a specific, and political, 
> ordering.
>
> ----------

---

From: Stephen Farrell <[email-masked]>
Date: Mon, 23 Sep 2019 13:20:00 +0100

Hiya,

FWIW, my impression matches how Ted and Eliot describe NTP
as relatively apolitical.

On 23/09/2019 12:49, Eliot Lear wrote:
> NTP requires only two protocol invariants: the length of a second
> itself and a particular epoch.  

Agreed. And afaik the recent handling of the TZ database
also seems relatively free of politics. (Though I'm open
to correction there as I don't follow the details.)

I guess taking the Devil's (or Niels':-) advocate approach
for a second maybe one could argue that NTP is such a well
deployed protocol that some putative changes to NTP (or
away from NTP) could by highly political, or that the use
of certain servers could be political, but that seems to
be a bit of a stretch to me, as a basis on which to claim
that NTP itself, as a protocol, is political.

So maybe NTP is an example of a protocol that was preceded
by politics, (as Niels pointed out) and that could in future
give rise to moar politics, but that is itself pretty much
apolitical? If that's a good way to describe things, then
it might be worth nothing that kind of example in the draft.

> The one field that has any real
> political aspect at this point is the leap second indicator.

In order to help geek++ the thread: as it happens, I know
someone who generates interesting work measuring those:-) [1]

Cheers,
S.

[1] https://mural.maynoothuniversity.ie/10061/1/DM-Leap-2016.pdf

---

From: Niels ten Oever <[email-masked]>
Date: Mon, 23 Sep 2019 14:27:36 +0200

On Mon, Sep 23, 2019 at 07:59:29AM -0400, Andrew Sullivan wrote:
> Niels,
> 
> This post is a perfect example of one problem that I have been
> complaining about.  If everything that is ever touched upon by any
> politics is thereby itself "political", then your point is true
> (though, I submit, trivially so).  

The draft no longer makes the point that protocols are political. But that their development and implementation can be. That probably makes that discussion easier. 

> But you haven't actually shown
> that claim, and any time anyone objects to this point you simply
> trot out some authority to say, "But it is so true." But the
> argument is basically over whether those authors are right. So
> it's either begging the question or fallacious appeal to authority
> or both.
> 

I am not sure what kind of bar for 'showning my claim' you are setting here. I just wrote  that: 

as part of the colonial project, the European concept of what time was, was made the universal standard. That is why Greenwich Mean Time (in Great Britain) is used as a standard for the whole world. 

Do you want to contest this? Do you think this is not convincing? Or do I need to establish what GMT is through a historical analysis? Should I further elaborate how NTP faciliates the prumulgation of this standard? I just tried to give another example of how seemingly unpolitical protocols is part of a political process of reodering the world, and thus setting a specific norm. 

The idea of this draft is to clear the way for such research to happen, without having to re-discuss the base premisse of such research. But now we seem caught in a kind of catch 22. 

Best,

Niels

> > Time, and its standardization, is a very political project.
> > Going back to Aristotle (Physics iv 10-14) there is the
> > difference between Chronos and Kairos, where Chronos became
> > the number to measure motion (kinesis). There have been many
> > other perceptions and measurements of time, that were able to
> > exist next to each other, but as part of the colonial project,
> > the European concept of what time was, was made the universal
> > standard. That is why Greenwich Mean Time (in Great Britain)
> > is used as a standard for the whole world.
> > 
> > There are also many stories about the development of
> > timezones, and their consequences, the way in which time
> > helped shape labor, life, and how it altered complete
> > societies.
> > 
> > I am not making a value judgment about this re-odering, but I
> > am trying to show that NTP, which helps synchronize to a
> > specific time regime, on which a lot of computing depends,
> > helps promulgate a specific, and political, ordering.
> > 

-- 

Niels ten Oever

---

From: Ted Lemon <[email-masked]>
Date: Mon, 23 Sep 2019 08:31:54 -0400

> The idea of this draft is to clear the way for such research to happen, without having to re-discuss the base premisse of such research. But now we seem caught in a kind of catch 22. 

IOW, the purpose of this document is to establish a set of givens from which subsequent reasoning can be done.  But we don’t agree on the givens.  So it can’t possibly do that.  It’s possible that it can do something else that is useful, but it certainly can’t do that particular thing.

---

From: Eliot Lear <[email-masked]>
Date: Mon, 23 Sep 2019 14:40:24 +0200

Hi Stephen,

> On 23 Sep 2019, at 14:20, Stephen Farrell <[email-masked]> wrote:
> 

Indeed, but this is where I think we have to understand the intersection of politics and economics.  The WTO views those sorts of changes, when they come from a national standards authority in the form of a normative requirement as a trade barrier, and rightly so.  But viewed from the IETF perspective it would invole  a tussle of entrenched players versus those who seek some sort of disruptive advantage.  In as much as the latter are some socio-economic class, perhaps one could turn this into a political discussion, but here I am mindful of the words of Milton and Farzaneh, who caution us that it is difficult to predict political impact a priori.[2]

Eliot
[1] https://en.wikipedia.org/wiki/Indiana_Pi_Bill
[2] https://onlinelibrary.wiley.com/doi/full/10.1002/poi3.190

---

From: Stéphane Couture <[email-masked]>
Date: Mon, 23 Sep 2019 12:11:23 -0400

Hi, This is a very interesting discussion. I wanted to jump in following
this last comment, to make a small contribution. Not sure if it is coherent
with IETF discussions, but I hope this helps.

First, I agree with Niels that there is a near consensus in certain
academic fields (like STS and many works in philosophy of technology) that
technological forms (standards, protocols, machines, tools) are political.
Without making it as an argument of authority, I am wondering if it could
be helpful to simply better describe the "location" of this consensus,
instead of making sound like this is an absolute truth. This would avoid
the delicate process of verifying the claims of every authors, while also
informing the community that these scholarly work exists.

Second, it might be worth having a section to explain what we mean by
"political" and "how" the politics of technologies have been articulated in
the literature. We have a section like this, but it's more like a
"conclusion" than a framework. I like for instance this characterization by
Darin Barney (following Andrew Feenberg) of the politics of technologies:

-Technology as a *mean* of political activity : for instance, using a tool
(or protocol) to suppress freedom of expression or enhance citizenship
participation.

-Technology as an *object* of political activity or deliberation:
discussions and social process in the making of technologies : who is
making the decision about protocols? Is it democratic and legitimate? Who
is excluded in these spaces of decision about protocols/standards? Who
should be included, and why?

-As the *setting" of political activity : what are the constraints and
possibilities of our particular technological culture ? How is the history
of this technological culture affecting our choices today? Here you could,
I think, include discussions like the previous one on the impact of
historical standardization of time in our current technological choices
(why taking Greenwich as the reference point, and not Tashkent or Nairobi?).

Stéphane

Barney, D. (2007). One Nation Under Google. *Hart Lecture*.
http://darinbarneyresearch.mcgill.ca/Work/One_Nation_Under_Google.pdf

Le lun. 23 sept. 2019 à 07:59, Andrew Sullivan <[email-masked]> a

---

From: Eric Rescorla <[email-masked]>
Date: Mon, 23 Sep 2019 09:46:43 -0700

Hi Niels,

I think we're sort of talking past each other, so I'm going
to focus on one point, namely the purpose of this document.

Based on this discussion, you seem to be arguing that the
purpose is to *demonstrate* the political nature of protocols

> very regularly in discussion.

However, the draft just asserts that there is agreement on this:

   development process and its outputs, it is generally agreed that
   standards and protocols are both products of a political process, and
   they can also be used for political means.  Therefore protocols and

So, which is it, generally agreed or regularly contested?

In any case, if the point is to demonstrate that protocols
can be derived from politically derived processes and that
they can be used politically, then IMO you are going about
it entirely the wrong way, which is by using a very expansive
(and not really that familiar to the people here) definition
political and then making a strong claim which forces you
to defend cases that people think are questionable (e.g.,
NTP or SSLv2).

To the extent to which there is debate about the claims
that protocols *can* be politically derived and *can* be
deployed in political ways, the way to go about demonstrating
that is to focus on the easy cases that are clearly political
(I've named a number in this discussion). That doesn't require
going and mining the literature you are citing here, but rather
requires engaging with the history and use of these protocols.

-Ekr

On Mon, Sep 23, 2019 at 2:32 AM Niels ten Oever <[email-masked]>
wrote:

> There are several political aspects about this, we had for instance text
> in a previous version that read about dominance and de facto standards:
>
> Another interesting aspect that SSL introduced were of course certificate
> authorities, that served as trust anchors, which is ultimately defining
> trusted authorities.
>
> SSLv2 was introduced as open standard (while v1 was not), which of course
> was also quite a change, I reckon I don't need to elaborate on the politics
> of licensing in this audience.
>
> >
> SSLv2 and SSLv3 were standards because people agreed that they were the
> standard? For something to be a standard it does not need to be a formal
> process to accept them as such.
>
> >> > Another
> A transaction can be political, but of course does not need to be.
> (Trans)action, such as standards, that change the market, are political
> activities.
>
>
> >
> As you know, what this draft meant to do, is to document a discussion so
> it doesn't need to be repeated in the study of every different protocol.
>
> We could paste in a lot of examples here, for instance some of the review
> of the human rights review team. But the discussion in 4.5 might be enough?
>
> >>
> >> > one needs just point
> Again, the document seeks to document existing positions in the community
> and provide background in existing literature on the topic, that could then
> be a platform for further work.
>

---

From: Corinne Cath <[email-masked]>
Date: Mon, 23 Sep 2019 21:47:09 +0300

Hi,

I think Stephane Couture made an important point: it is important to locate
consensus on the politics of protocols in its respective academic
disciplines and literatures, and have the document reflect that nuance.

Furthermore, having followed this discussion for a while now (about a year
or four) I feel part of the continued disagreement seems to stem from the
fact that people have very different understandings of the word "political"
and "politics". For some it refers to the subtle ways by which protocol
design is influenced by the values/interests/power dynamics between various
folks present in the IETF and to others it refers to capital R or D
conversations among politicians happening outside of the IETF, and yet to
others its definition lies somewhere in the middle of these two.

As Stephane also mentioned - perhaps this document (and perhaps even the
discussion) could benefit from further clarification and state this
conceptual disagreement on what it means for some to have politics to begin
with?

Just my .2,

-- 
Corinne Cath - Speth
Ph.D. Candidate, Oxford Internet Institute & Alan Turing Institute

Web: www.oii.ox.ac.uk/people/corinne-cath
Email: [email-masked] & [email-masked]
Twitter: @C_CS

-- 
Corinne Cath - Speth
Ph.D. Candidate, Oxford Internet Institute & Alan Turing Institute

Web: www.oii.ox.ac.uk/people/corinne-cath
Email: [email-masked] & [email-masked]
Twitter: @C_CS

---

From: Andrew Sullivan <[email-masked]>
Date: Mon, 23 Sep 2019 16:29:52 -0400

Hi,

Certainly some parts of the STS literature are in agreement about this 
issue. The fact that other, now less academically fashionable traditions 
reject the view, of course, does not tell us what is true. But the location 
of consensus would certainly help.

I _really_ like the approach of teasing out what "political" means in this 
discussion, however. I tried to make that point much less effectively the 
other day, so thank you for staying well and clearly what I barely managed 
to suggest. I haven't thought enough to say whether I think this taxonomy 
is complete, but it's certainly an excellent start.

A

-- 
Andrew Sullivan
Please excuse my clumbsy thums.
On September 23, 2019 12:11:47 Stéphane Couture <[email-masked]> 
wrote:
> Barney, D. (2007). One Nation Under Google. Hart Lecture.

---

From: Eliot Lear <[email-masked]>
Date: Tue, 24 Sep 2019 12:49:15 +0200

Corinne,

Thanks.  Please see below.

> On 23 Sep 2019, at 20:47, Corinne Cath <[email-masked]> wrote:
> 
> Hi,
> 
> I think Stephane Couture made an important point: it is important to locate consensus on the politics of protocols in its respective academic disciplines and literatures, and have the document reflect that nuance.

Agree.

> 
> Furthermore, having followed this discussion for a while now (about a year or four) I feel part of the continued disagreement seems to stem from the fact that people have very different understandings of the word "political" and "politics”.

Although, at least for me, characterizing that as disagreement is overstating the case,  I agree that providing clarity on the terms and the bounding of their meaning would put any thesis and argumentation on better footing.

> For some it refers to the subtle ways by which protocol design is influenced by the values/interests/power dynamics between various folks present in the IETF and to others it refers to capital R or D conversations among politicians happening outside of the IETF, and yet to others its definition lies somewhere in the middle of these two.

Again, some precision is called for.  I think you are talking about the politics of development of standards versus the political ramifications of the results.  This relationship could be explored.  For instance, I think those who participated in webrtc would have found that development process somewhat political, in terms of finding a way forward; but I would be hard pressed to find political ramifications from the results, in as much as broader society is impacted (again, my imagination may be limited).  On the other hand, I could imagine the reverse, where the IETF standardized something with little if any controversy that turned out to have profound political ramifications.

Asking Avri and you now with your co-chair hats, I think it would be helpful to pause for a moment and just reflect on the issues the have been raised with regard to this work and how to structure discussion going forward.

For instance: is there agreement on the research question in the document?  If not, what is the point of considering anything else?  Has that question already been addressed elsewhere?  If not, great.  If so, what is the contribution this work is intended to provide?

As you ponder this, it may be that there are multiple points of view to be heard.  As an RG we have the possibility to publish differing perspectives, and this has happened in the past, most notably in the Routing RG when it was active.

Regards,

Eliot

---

From: Corinne Cath <[email-masked]>
Date: Tue, 24 Sep 2019 14:13:35 +0300

HI Eliot,

Some quick comments in-line:

On Tue, Sep 24, 2019 at 1:49 PM Eliot Lear <[email-masked]> wrote:

> I think Stephane Couture made an important point: it is important to
> locate consensus on the politics of protocols in its respective academic
> and "politics”.
> Although, at least for me, characterizing that as disagreement is
> overstating the case,  I agree that providing clarity on the terms and the
> bounding of their meaning would put any thesis and argumentation on better
> footing.
>

Great - not sure how this is overstating the case though.

>
> For some it refers to the subtle ways by which protocol design is
> influenced by the values/interests/power dynamics between various folks
> present in the IETF and to others it refers to capital R or D conversations
> among politicians happening outside of the IETF, and yet to others its
> definition lies somewhere in the middle of these two.
>
>
> Again, some precision is called for.  I think you are talking about the
> politics of development of standards versus the political ramifications of
> the results.
>

I think you might have misunderstood what I was trying to say here. I am
not talking about the politics of development versus its effects. My
statement was meant to be specific to the politics inherent to design
processes, whether of legal or running code. I see this discussion as
separate from the discussion about their potential political ramifications.

>  This relationship could be explored.  For instance, I think those who
> participated in webrtc would have found that development process somewhat
> political, in terms of finding a way forward; but I would be hard pressed
> to find political ramifications from the results, in as much as broader
> society is impacted (again, my imagination may be limited).
>

I think some folks at netblocks might disagree with you here. But I will
leave it to them to say so.

> On the other hand, I could imagine the reverse, where the IETF
> standardized something with little if any controversy that turned out to
> have profound political ramifications.
>
> Asking Avri and you now with your co-chair hats, I think it would be
> helpful to pause for a moment and just reflect on the issues the have been
> raised with regard to this work and how to structure discussion going
> forward.
>

I think you might be confusing me with Mallory of ARTICLE19 - who is the
second co-chair of HRPC.

> For instance: is there agreement on the research question in the
> document?  If not, what is the point of considering anything else?  Has
> that question already been addressed elsewhere?  If not, great.  If so,
> what is the contribution this work is intended to provide?
>
> As you ponder this, it may be that there are multiple points of view to be
> heard.  As an RG we have the possibility to publish differing perspectives,
> and this has happened in the past, most notably in the Routing RG when it
> was active.
>
> Regards,
>

Cheers,

CCS

---

From: Eliot Lear <[email-masked]>
Date: Tue, 24 Sep 2019 13:44:40 +0200

> On 24 Sep 2019, at 13:13, Corinne Cath <[email-masked]> wrote:
> 

> I think you might be confusing me with Mallory of ARTICLE19 - who is the second co-chair of HRPC.

My apologies, you’re correct.

Eliot